#!/usr/bin/env ruby
$KCODE='e'
# $Id: new_2ch_bbsmenu.rb,v 1.6 2002/05/18 19:07:01 haruyama Exp $
# このファイルはGPLで配付されています.
# このプログラムは無保証です.

require 'nkf'

lines = []
while line =gets
  line=NKF::nkf('-ex',line.chop!)
  case line
  when /^B(\s+(\S+)\s+(.+))/
    line = 'A' + $1
  when /^T\s+(\S+)\s+(.+)/
    url = $1
    title = $2
    if %r!^(.+)test/read.cgi/(.+?/)(.+)/$! =~ url 
      line = 'S ' + $1 + $2 + 'dat/' + $3 + '.dat ' + title
    end
  end
  lines << line
end

lines.each{ |e|
  print NKF::nkf('-sxE',e)
  print "\n"
}
